// 目前文物存在2张表，一张临时表和中间表，只有审核通过的在最终表，未审核和审核驳回等在临时表
// 新增和修改也只是存在临时表
// 最终表的数据不能修改

import request from '@/utils/request'

export function getCulturalRelicList(data) {
  return request({
    url: '/bizCulturalRelic/listByPage',
    method: 'post',
    data
  })
}

// 获取带权限的文物列表分页（最终表）
export function getCulturalRelicListPer(data) {
  return request({
    url: '/bizCulturalRelic/listByPagePer',
    method: 'post',
    data
  })
}

// 获取带权限的文物列表分页（临时表）
export function getCulturalRelicListPerTemp(data) {
  return request({
    url: '/bizCulturalRelicTemp/listByPagePer',
    method: 'post',
    data
  })
}



// 文物新增和修改（临时表）
export function addOrUpdateCulturalRelic(data) {
  return request({
    url: '/bizCulturalRelicTemp/addOrUpdate',
    method: 'post',
    data
  })
}

// 新增文物（最终表），因为多了临时表暂时废弃
export function addCulturalRelic(data) {
  return request({
    url: '/bizCulturalRelic/add',
    method: 'post',
    data
  })
}

// 修改文物（最终表），因为多了临时表暂时废弃
export function editCulturalRelic(data) {
  return request({
    url: '/bizCulturalRelic/update',
    method: 'put',
    data
  })
}

// 根据文物id查询详情(最终表)
export function getRCDetailById(params) {
  return request({
    url: '/bizCulturalRelic/listById',
    method: 'get',
    params
  })
}


// 根据文物id查询详情(临时表)
export function getRCDetailByIdTemp(params) {
  return request({
    url: '/bizCulturalRelicTemp/detailById',
    method: 'get',
    params
  })
}

// 删除文物（最终表）
export function deleteCultralRelic(data) {
  return request({
    url: '/bizCulturalRelic/delete',
    method: 'delete',
    data
  })
}

// 删除文物（临时表）
export function deleteCultralRelicTemp(data) {
  return request({
    url: '/bizCulturalRelicTemp/delete',
    method: 'delete',
    data
  })
}

// 获取文物数量统计
export function getCulturalRelicStatistic(params) {
  return request({
    url: '/bizStatistic/getCulturalRelicStatistic',
    method: 'get',
    params
  })
}


// 获取文物审核列表
export function getCrChecklist(data) {
  return request({
    url: '/bizCulturalRelic/checklistByPagePer',
    method: 'post',
    data
  })
}
